Index: trunk/SophyaLib/Samba/Makefile
===================================================================
--- trunk/SophyaLib/Samba/Makefile	(revision 3863)
+++ trunk/SophyaLib/Samba/Makefile	(revision 3879)
@@ -11,228 +11,179 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)alm.o: alm.cc $(SOPHYAINCP)sopnamsp.h alm.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)alm.o: alm.cc \
+  $(SOPHYAINCP)sopnamsp.h alm.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)spesqmtx.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)spesqmtx_tsnl.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tvector_tsnl.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  alm.cc
  
-$(SOPHYAOBJP)bruit.o: bruit.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)bruit.o: bruit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)fmath.h bruit.h \
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  bruit.cc
  
-$(SOPHYAOBJP)circle.o: circle.cc $(SOPHYAINCP)sopnamsp.h circle.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h geometry.h
+$(SOPHYAOBJP)circle.o: circle.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  circle.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)utilgeom.h \
+  geometry.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  circle.cc
  
-$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   datacirclefake.h datacirclebase.h circle.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h geometry.h
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)utilgeom.h \
+  geometry.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacirclefake.cc
  
-$(SOPHYAOBJP)harmspher.o: harmspher.cc $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h harmspher.h
+$(SOPHYAOBJP)harmspher.o: harmspher.cc \
+  $(SOPHYAINCP)machdefs.h \
+  harmspher.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  harmspher.cc
  
-$(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc $(SOPHYAINCP)sopnamsp.h \
-  lambdaBuilder.h $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h alm.h \
-  $(SOPHYAINCP)nbmath.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  lambdaBuilder.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  alm.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)spesqmtx.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)nbconst.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  lambdaBuilder.cc
  
-$(SOPHYAOBJP)mlobe.o: mlobe.cc $(SOPHYAINCP)sopnamsp.h mlobe.h \
+$(SOPHYAOBJP)mlobe.o: mlobe.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  mlobe.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mlobe.cc
  
-$(SOPHYAOBJP)sambainit.o: sambainit.cc $(SOPHYAINCP)sopnamsp.h \
-  sambainit.h $(SOPHYAINCP)skymapinit.h \
+$(SOPHYAOBJP)sambainit.o: sambainit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h
+  $(SOPHYAINCP)tarrinit.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sambainit.cc
  
-$(SOPHYAOBJP)scan.o: scan.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h scan.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)scan.o: scan.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  scan.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)smathconst.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  scan.cc
  
@@ -240,5 +191,5 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h sphericaltransformserver.h \
+  sphericaltransformserver.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
@@ -246,61 +197,41 @@
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)fftservintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)fftpserver.h \
-  $(SOPHYAINCP)fftservintf.h alm.h \
-  $(SOPHYAINCP)nbmath.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)randinterf.h \
+  alm.h $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)spesqmtx.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)spesqmtx_tsnl.h lambdaBuilder.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  lambdaBuilder.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sphericaltransformserver.cc
Index: trunk/SophyaLib/Samba/smakefile
===================================================================
--- trunk/SophyaLib/Samba/smakefile	(revision 3863)
+++ trunk/SophyaLib/Samba/smakefile	(revision 3879)
@@ -11,228 +11,179 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)alm.o: alm.cc $(SOPHYAINCP)sopnamsp.h alm.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)alm.o: alm.cc \
+  $(SOPHYAINCP)sopnamsp.h alm.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)spesqmtx.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)spesqmtx_tsnl.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tvector_tsnl.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  alm.cc
  
-$(SOPHYAOBJP)bruit.o: bruit.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)bruit.o: bruit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)fmath.h bruit.h \
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  bruit.cc
  
-$(SOPHYAOBJP)circle.o: circle.cc $(SOPHYAINCP)sopnamsp.h circle.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h geometry.h
+$(SOPHYAOBJP)circle.o: circle.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  circle.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)utilgeom.h \
+  geometry.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  circle.cc
  
-$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   datacirclefake.h datacirclebase.h circle.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h geometry.h
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)utilgeom.h \
+  geometry.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacirclefake.cc
  
-$(SOPHYAOBJP)harmspher.o: harmspher.cc $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h harmspher.h
+$(SOPHYAOBJP)harmspher.o: harmspher.cc \
+  $(SOPHYAINCP)machdefs.h \
+  harmspher.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  harmspher.cc
  
-$(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc $(SOPHYAINCP)sopnamsp.h \
-  lambdaBuilder.h $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h alm.h \
-  $(SOPHYAINCP)nbmath.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  lambdaBuilder.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  alm.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)spesqmtx.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)nbconst.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  lambdaBuilder.cc
  
-$(SOPHYAOBJP)mlobe.o: mlobe.cc $(SOPHYAINCP)sopnamsp.h mlobe.h \
+$(SOPHYAOBJP)mlobe.o: mlobe.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  mlobe.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mlobe.cc
  
-$(SOPHYAOBJP)sambainit.o: sambainit.cc $(SOPHYAINCP)sopnamsp.h \
-  sambainit.h $(SOPHYAINCP)skymapinit.h \
+$(SOPHYAOBJP)sambainit.o: sambainit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h
+  $(SOPHYAINCP)tarrinit.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sambainit.cc
  
-$(SOPHYAOBJP)scan.o: scan.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h scan.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)scan.o: scan.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  scan.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)smathconst.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  scan.cc
  
@@ -240,5 +191,5 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h sphericaltransformserver.h \
+  sphericaltransformserver.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
@@ -246,61 +197,41 @@
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)fftservintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)fftpserver.h \
-  $(SOPHYAINCP)fftservintf.h alm.h \
-  $(SOPHYAINCP)nbmath.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)randinterf.h \
+  alm.h $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)spesqmtx.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)spesqmtx_tsnl.h lambdaBuilder.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  lambdaBuilder.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sphericaltransformserver.cc
